Bug 137115 - Program encounters exception on execution
Summary: Program encounters exception on execution
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-network   
(Show other bugs)
Version: 2
Hardware: x86_64
OS: Linux
medium
high
Target Milestone: ---
Assignee: Harald Hoyer
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-10-25 20:35 UTC by Scott Perry
Modified: 2007-11-30 22:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-28 01:36:09 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Scott Perry 2004-10-25 20:35:26 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.7.3)
Gecko/20040921

Description of problem:
open from redhat menu -> system settings as user, input root password,
program immediately fails.

occurs on every single opteron (7) in my lab.

-----------
crash dump:
-----------
Component: system-config-network
Version: 1.3.17
Summary: TBbc3b57f7 Conf.py:630:initvars:IndexError: list index out of
range
Traceback (most recent call last):
  File "/usr/sbin/system-config-network-gui", line 166, in main
    window = mainDialog()
  File
"/usr/src/build/423651-noarch/install/usr/share/system-config-network/netconfpkg/gui/maindialog.py",
line 261, in __init__
  File
"/usr/src/build/423651-noarch/install/usr/share/system-config-network/netconfpkg/gui/maindialog.py",
line 295, in load
  File
"/usr/src/build/423651-noarch/install/usr/share/system-config-network/netconfpkg/gui/maindialog.py",
line 311, in loadProfiles
  File
"/usr/src/build/423651-noarch/install/usr/share/system-config-network/netconfpkg/NCProfileList.py",
line 636, in getProfileList
  File
"/usr/src/build/423651-noarch/install/usr/share/system-config-network/netconfpkg/NCProfileList.py",
line 86, in load
  File
"/usr/src/build/423651-noarch/install/usr/share/system-config-network/netconfpkg/NCProfileList.py",
line 149, in loadprof
  File "/usr/lib64/python2.3/site-packages/rhpl/Conf.py", line 617, in
__init__
    Conf.__init__(self, '/etc/resolv.conf', '#', '\t ', ' ')
  File "/usr/lib64/python2.3/site-packages/rhpl/Conf.py", line 181, in
__init__
    self.read()
  File "/usr/lib64/python2.3/site-packages/rhpl/Conf.py", line 620, in
read
    self.initvars()
  File "/usr/lib64/python2.3/site-packages/rhpl/Conf.py", line 630, in
initvars
    self.vars['nameservers'] = [ var[1] ]
IndexError: list index out of range

Local variables in innermost frame:
var: ['nameserver']
self: <rhpl.Conf.ConfEResolv instance at 0x2a9a7c8440>
-----------

Version-Release number of selected component (if applicable):
system-config-network-1.3.17-0.FC2.1

How reproducible:
Always

Steps to Reproduce:
1. Open system-config-network from redhat menu -> system settings

Actual Results:  "Exception Ocurred" window

Expected Results:  system-config-network should have opened.

Additional info:

Comment 1 Harald Hoyer 2004-10-25 21:27:47 UTC
quickfix:
change your /etc/resolv.conf to a proper format


Note You need to log in before you can comment on or make changes to this bug.